Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.db.jdbc
Class Column

    java.lang.Object
      |
      +--weblogic.db.jdbc.Column

public class Column
extends java.lang.Object
implements java.io.Externalizable

A Column object contains the meta information for a table attribute. A Schema is made up of a collection of Column objects.

For implementation and usage see the WebLogic Server documentation.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Schema`, Serialized Form

Constructor Summary
`Column()` Private - used for serialization

Method Summary
`boolean` | `autoIncrement()` Determines whether a Column is automatically incremented.
`java.lang.String` | `dbKonaMethod()`
`java.lang.String` | `dbtype()` Returns the data-source specific type of a Column.
`void` | `destroy()` Private - used for serialization
`void` | `initialize()` Private - used for serialization
`boolean` | `isBigDecimal()` Determines whether data type of a Column is numeric.
`boolean` | `isBinary()` Determines whether data type of a Column is Binary.
`boolean` | `isBoolean()` Determines whether data type of a Column is boolean.
`boolean` | `isByte()` Determines whether data type of a Column is a byte.
`boolean` | `isBytes()` Determines whether data type of a Column is byte[] (types BINARY, VARBINARY, or LONGVARBINARY).
`boolean` | `isDate()` Determines whether data type of a Column is a java.sql.Date.
`boolean` | `isDouble()` Determines whether data type of a Column is double.
`boolean` | `isFloat()` Determines whether data type of a Column is float.
`boolean` | `isInt()` Determines whether data type of a Column is integer.
`boolean` | `isLong()` Determines whether data type of a Column is long.
`boolean` | `isLongVarBinary()` Determines whether data type of a Column is LongVarBinary.
`boolean` | `isShort()` Determines whether data type of a Column is short.
`boolean` | `isString()` Determines whether data type of a Column is String.
`boolean` | `isTime()` Determines whether data type of a Column is a java.sql.Time.
`boolean` | `isTimestamp()` Determines whether data type of a Column is a java.sql.Timestamp.
`boolean` | `isVarBinary()` Determines whether data type of a Column is VarBinary.
`java.lang.String` | `javaType()`
`int` | `length()` Returns the storage length of a Column.
`java.lang.String` | `name()` Returns the name of a Column.
`boolean` | `nullAllowed()` Determines whether a NULL value is allowed.
`int` | `precision()` Returns the precision of a Column.
`java.lang.String` | `preparedStatemntBindMethod()`
`void` | `readExternal(java.io.ObjectInput in)` Private - used for serialization
`boolean` | `readOnly()` Determines whether a Column is read-only.
`java.lang.String` | `resultSetMethod()`
`int` | `scale()` Returns the scale of a Column.
`boolean` | `searchable()` Determines whether a Column is searchable.
`java.lang.String` | `type()` Returns the data type of the column as a String.
`int` | `typeEnum()` Returns the data type of a Column.
`void` | `writeExternal(java.io.ObjectOutput out)` Private - used for serialization

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Column

    public Column()

  Private - used for serialization

Method Detail

### name

    public java.lang.String name()

  Returns the name of a Column.

  Returns:
    Name of Column

### dbtype

    public java.lang.String dbtype()

  Returns the data-source specific type of a Column.

  Returns:
    Type of Column

### typeEnum

    public int typeEnum()

  Returns the data type of a Column. Constants for data types are defined in java.sql.Types.

  Returns:
    Data type of column

### nullAllowed

    public boolean nullAllowed()

  Determines whether a NULL value is allowed.

  Returns:
    True if NULL values are allowed

### autoIncrement

    public boolean autoIncrement()

  Determines whether a Column is automatically incremented.

  Returns:
    True if column is automatically incremented

### readOnly

    public boolean readOnly()

  Determines whether a Column is read-only.

  Returns:
    True if column is read-only

### searchable

    public boolean searchable()

  Determines whether a Column is searchable.

  Returns:
    True if column is searchable

### scale

    public int scale()

  Returns the scale of a Column.

  Returns:
    Scale of Column

### precision

    public int precision()

  Returns the precision of a Column.

  Returns:
    Precision of Column

### length

    public int length()

  Returns the storage length of a Column.

  Returns:
    Length of Column

### type

    public java.lang.String type()

  Returns the data type of the column as a String.

  Returns:
    Type of Column as String

### javaType

    public java.lang.String javaType()

### dbKonaMethod

    public java.lang.String dbKonaMethod()

### resultSetMethod

    public final java.lang.String resultSetMethod()

### preparedStatemntBindMethod

    public final java.lang.String preparedStatemntBindMethod()

### isBoolean

    public boolean isBoolean()

  Determines whether data type of a Column is boolean.

  Returns:
    True if type boolean

### isByte

    public boolean isByte()

  Determines whether data type of a Column is a byte.

  Returns:
    True if type byte

### isShort

    public boolean isShort()

  Determines whether data type of a Column is short.

  Returns:
    True if type short

### isInt

    public boolean isInt()

  Determines whether data type of a Column is integer.

  Returns:
    True if type integer

### isLong

    public boolean isLong()

  Determines whether data type of a Column is long.

  Returns:
    True if type long

### isFloat

    public boolean isFloat()

  Determines whether data type of a Column is float.

  Returns:
    True if type float.

### isDouble

    public boolean isDouble()

  Determines whether data type of a Column is double.

  Returns:
    True if type double

### isBigDecimal

    public boolean isBigDecimal()

  Determines whether data type of a Column is numeric.

  Returns:
    True if type numeric

### isDate

    public boolean isDate()

  Determines whether data type of a Column is a java.sql.Date.

  Returns:
    True if type javas.sql.Date

### isTime

    public boolean isTime()

  Determines whether data type of a Column is a java.sql.Time.

  Returns:
    True if type javas.sql.Time

### isTimestamp

    public boolean isTimestamp()

  Determines whether data type of a Column is a java.sql.Timestamp.

  Returns:
    True if type javas.sql.Timestamp

### isString

    public boolean isString()

  Determines whether data type of a Column is String.

  Returns:
    True if type string

### isBytes

    public boolean isBytes()

  Determines whether data type of a Column is byte[] (types BINARY, VARBINARY, or LONGVARBINARY).

  Returns:
    True if type byte[]

### isBinary

    public boolean isBinary()

  Determines whether data type of a Column is Binary.

  Returns:
    True if type Binary

### isVarBinary

    public boolean isVarBinary()

  Determines whether data type of a Column is VarBinary.

  Returns:
    True if type VarBinary

### isLongVarBinary

    public boolean isLongVarBinary()

  Determines whether data type of a Column is LongVarBinary.

  Returns:
    True if type LongVarBinary

### initialize

    public void initialize()

  Private - used for serialization

### destroy

    public void destroy()

  Private - used for serialization

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException

  Private - used for serialization
  Specified by:
    readExternal in interface java.io.Externalizable

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Private - used for serialization
  Specified by:
    writeExternal in interface java.io.Externalizable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD